Summary:	Patches utilities 
Name:		patchutils
Version:	0.3.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Text tools
URL:		http://cyberelk.net/tim/software/patchutils/
Source0:	http://cyberelk.net/tim/data/patchutils/stable/%{name}-%{version}.tar.xz
Source1:	http://cyberelk.net/tim/data/patchutils/stable/%{name}-%{version}.tar.xz.sig
Patch0:		patchutils-0.3.1-format_not_a_string_literal_and_no_format_arguments.patch
Patch1:		patchutils-bz1226985.patch
Requires:	patch
Requires:	diffutils
BuildRequires:	xmlto
Provides:	interdiff
Obsoletes:	interdiff < 0.3.1

%description
Patchutils contains interdiff and filterdiff.

You can use interdiff to create an incremental patch between two patches
that are against a common source tree.

Filterdiff is for extracting or excluding patches from a patch set based
on modified files matching shell wildcards.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x
%make

%check
make tests

%install
%makeinstall_std

%files
%doc BUGS ChangeLog TODO COPYING
%{_bindir}/*
%{_mandir}/man1/*




%changelog
* Mon Jan 25 2016 luigiwalser <luigiwalser> 0.3.4-1.mga6
+ Revision: 927236
- 0.3.4
- add patch from fedora to fix handling of delete-file diffs from git

* Wed Oct 15 2014 umeabot <umeabot> 0.3.3-4.mga5
+ Revision: 745239
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.3-3.mga5
+ Revision: 683353
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.3-2.mga4
+ Revision: 523736
- Mageia 4 Mass Rebuild

* Fri May 24 2013 tv <tv> 0.3.3-1.mga4
+ Revision: 426604
- new release
- new release

* Sun Jan 13 2013 umeabot <umeabot> 0.3.2-3.mga3
+ Revision: 362458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 15 2011 pterjan <pterjan> 0.3.2-2.mga1
+ Revision: 99025
- Rebuild for fixed find-requires

* Wed Apr 13 2011 tv <tv> 0.3.2-1.mga1
+ Revision: 84575
- new release
- fix license

* Sun Jan 09 2011 kharec <kharec> 0.3.1-2.mga1
+ Revision: 3593
- imported package patchutils

